// Code generated by github.com/99designs/gqlgen, DO NOT EDIT.

package model

type AvgEui struct {
	PrimaryPropertyType string  `json:"PrimaryPropertyType"`
	Eui                 float64 `json:"EUI"`
}

type Building struct {
	OSEBuildingID                 string              `json:"OSEBuildingID"`
	DataYear                      int                 `json:"DataYear"`
	BuildingType                  string              `json:"BuildingType"`
	PrimaryPropertyType           string              `json:"PrimaryPropertyType"`
	PropertyName                  string              `json:"PropertyName"`
	Address                       *string             `json:"Address"`
	City                          *string             `json:"City"`
	State                         *string             `json:"State"`
	ZipCode                       *float64            `json:"ZipCode"`
	TaxParcelIdentificationNumber *string             `json:"TaxParcelIdentificationNumber"`
	CouncilDistrictCode           int                 `json:"CouncilDistrictCode"`
	Latitude                      float64             `json:"Latitude"`
	Longitude                     float64             `json:"Longitude"`
	YearBuilt                     *int                `json:"YearBuilt"`
	NumberofBuildings             *int                `json:"NumberofBuildings"`
	NumberofFloors                *int                `json:"NumberofFloors"`
	BuildingGfa                   []*BuildingGfa      `json:"BuildingGFA"`
	EnergyStarRating              []*EnergyStarRating `json:"EnergyStarRating"`
	Metrics                       []*Metrics          `json:"Metrics"`
}

type BuildingGfa struct {
	OSEBuildingID      int     `json:"OSEBuildingID"`
	PropertyUseType    string  `json:"PropertyUseType"`
	PropertyUseTypeGfa float64 `json:"PropertyUseTypeGFA"`
}

type Buildings struct {
	Items []*Building `json:"items"`
	Page  int         `json:"page"`
	Size  int         `json:"size"`
	Total int         `json:"total"`
}

type EnergyStarRating struct {
	OSEBuildingID            int     `json:"OSEBuildingID"`
	YearsEnergyStarCertified string  `json:"YearsEnergyStarCertified"`
	EnergyStarScore          float64 `json:"EnergyStarScore"`
}

type Login struct {
	Username string `json:"username"`
	Password string `json:"password"`
}

type Metrics struct {
	OSEBuildingID int     `json:"OSEBuildingID"`
	Metric        string  `json:"Metric"`
	Value         float64 `json:"Value"`
	Unit          string  `json:"Unit"`
}

type Token struct {
	Value     string `json:"value"`
	ExpiredAt string `json:"expiredAt"`
}
